%This mfile was created in Matlab R2010b.  Results were published in the
%following paper (Mackey and Lamb, 2013).  Please cite the following paper should these codes be
%used for a publication.

%Mackey, B.H., and Lamb, M.P., 2013, 
%Deciphering boulder mobility and erosion from cosmogenic nuclide exposure dating: 
%Journal of Geophysical Research: Earth Surface,doi: 10.1002/jgrf.20035

%Disclaimer:  These codes have only been tested for the conditions published
%in the manuscript. Numerical errors are likely outside of these bounds given
%the crude iteration schemes used.  Use at your own risk.

%Copyright (C) 2013 Michael Lamb <mpl@gps.caltech.edu>

% This program is free software: you can redistribute it and/or modify it 
% under the terms of the GNU General Public License as published by the 
% Free Software Foundation. You should have received a copy of the GNU 
% General Public License along with this program.  If not, see 
% http://www.gnu.org/licenses.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure

load('mcLaltstar1.2_rstar_n2000.5.mat')

subplot(3,1,1)
pl1 = plot(xax,avgvarmeanF, 'g--')

hold on
load('mcLaltstar1.2_rstar_n2001.mat')
pl2 = plot(xax,avgvarmeanF, 'b--')

load('mcLaltstar1.2_rstar_n2001.5.mat')
pl3 = plot(xax,avgvarmeanF, 'k-')

load('mcLaltstar1.2_rstar_n2002.mat')
pl4 = plot(xax,avgvarmeanF, 'r--')

load('mcLaltstar1.2_rstar_n2003.mat')
pl5 = plot(xax,avgvarmeanF, 'm-.')

load('mcLaltstar1.2_rstar_n2004.mat')
pl6 = plot(xax,avgvarmeanF,'c-')

xlabel('Number of rolls (n)')
ylabel('C_N')
xlim([0 9])

lg1 = legend([pl1 pl2 pl3 pl4 pl5 pl6], '0.5', '1.0', '1.5', '2.0', '3.0', '4.0', 'location', 'NorthEast')
subplot(3,1,2)

load('mcLalrstar2_n100_tstar0.25.mat')
pl21 = plot(xax,avgvarmeanF,'g--')
hold on

 load('mcLalrstar2_n200_tstar0.5.mat')
 pl22 = plot(xax,avgvarmeanF,'b--')
 
load('mcLalrstar2_n200_tstar1.mat')
pl23 = plot(xax,avgvarmeanF,'k--')
  
load('mcLalrstar2_n200_tstar1.5.mat')
pl24 = plot(xax,avgvarmeanF,'r-')
   
load('mcLalrstar2_n200_tstar2.mat')
pl25 = plot(xax,avgvarmeanF,'m-')
    
 load('mcLalrstar2_n200_tstar3.mat')
 pl26 = plot(xax,avgvarmeanF,'c-.')
      
  load('mcLalrstar2_n200_tstar4.mat')
pl27 = plot(xax,avgvarmeanF,'r--')

  load('mcLalrstar2_n200_tstar5.mat')
pl27 = plot(xax,avgvarmeanF,'b-')
      
xlabel('Number of rolls (n)')
ylabel('C_N')

xlim([0 9])


subplot(3,1,3)

load('mcLalrstar2_n100_tstar0.25.mat')
pl31 = plot(xax,avgvarmeanF,'g--')
hold on

 load('mcLalrstar2_n200_tstar0.5.mat')
pl32 =  plot(xax,avgvarmeanF,'b--')
 
load('mcLalrstar2_n200_tstar1.mat')
pl33 = plot(xax,avgvarmeanF,'k--')
  
load('mcLalrstar2_n200_tstar1.5.mat')
pl34 = plot(xax,avgvarmeanF,'r-')
   
load('mcLalrstar2_n200_tstar2.mat')
 pl35 = plot(xax*(1.6/2),avgvarmeanF,'m-')
    
 load('mcLalrstar2_n200_tstar3.mat')
  pl36 = plot(xax*(1.6/3),avgvarmeanF,'c-.')
      
  load('mcLalrstar2_n200_tstar4.mat')
  pl37 = plot(xax*(1.6/4),avgvarmeanF,'r--')
  
   load('mcLalrstar2_n200_tstar5.mat')
pl38 = plot(xax*(1.6/5),avgvarmeanF,'b-')
      
xlabel('Effective number of rolls (n-eff)')
ylabel('C_N')

xlim([0 9])

lg3 = legend([pl31 pl32 pl33 pl34 pl35 pl36 pl37 pl38], '0.25', '0.5', '1.0', '1.5', '2.0', '3.0', '4.0', '5.0')
