%This mfile was created in Matlab R2010b.  Results were published in the
%following paper (Mackey and Lamb, 2013).  Please cite the following paper should these codes be
%used for a publication.

%Mackey, B.H., and Lamb, M.P., 2013, 
%Deciphering boulder mobility and erosion from cosmogenic nuclide exposure dating: 
%Journal of Geophysical Research: Earth Surface,doi: 10.1002/jgrf.20035

%Disclaimer:  These codes have only been tested for the conditions published
%in the manuscript. Numerical errors are likely outside of these bounds given
%the crude iteration schemes used.  Use at your own risk.

%Copyright (C) 2013 Michael Lamb <mpl@gps.caltech.edu>

% This program is free software: you can redistribute it and/or modify it 
% under the terms of the GNU General Public License as published by the 
% Free Software Foundation. You should have received a copy of the GNU 
% General Public License along with this program.  If not, see 
% http://www.gnu.org/licenses.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Generate the nuclide sphere

%Generate points using spherical coordinates
R = 200; %radius
%20 and 12 give <1% error, mostly < 0.1%.  %50 and 50 would be <<0.1%
    dth = pi./2./20;  %20 is the number of points in th (90 deg arc from flat to top of hemi)
    dphi = 2.*pi./12; %12 is the number of points in phi (Horizontal circle)
    th = [0:dth:pi./2];
    phi = [0:dphi:2.*pi-dphi];
l= 1;
    for j = 1:length(th)
        for k = 1:length(phi)
x(l) = R.*cos(phi(k)).*sin(th(j));
y(l) = R.*sin(phi(k)).*sin(th(j));
z(l) = R.*cos(th(j));
l = l+1;
        end
    end
xn1 = x';
yn1 = y';
zn1 =  z';

dA = dth.*dphi;
R_nuclide = R;

save nuclide_sphere_Lal xn1 yn1 zn1 dA R_nuclide

